<script>
    var requireJS = [];
    loadJS(requireJS, "js/views/financial-verification.js");
</script>

<div th:each="media : ${medias}">
    <div class="row">

        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel">
                <div class="x_title">
                    <h4 th:if="${media.type == 'dni'}" th:text="#{idPersonal}">Identificacion Personal</h4>
                    <h4 th:if="${media.type == 'idt'}" th:text="#{taxIdentification}">Identificacion Tributaria</h4>
                    <h4 th:if="${media.type == 'address'}" th:text="#{homeAddress}">Domicilio</h4>
                </div>
                <div class="x_content">
                    <a th:href="'/open/media/' + ${media.code}" target="_blank" style="cursor: zoom-in;">
                        <img th:src="'/open/media/' + ${media.code}" width="600"/>
                    </a>
                    <div th:if="${media.type == 'dni'}">
                        <span th:text="#{name} + ':'">Nombre:</span>&nbsp;<span th:text="${member}"></span><br/>
                        <strong><span th:text="#{idPersonal} + ':'">Identificacion Personal: </span>&nbsp;<span th:text="${member.dniType}"></span> <span th:text="${member.dni}"></span></strong>
                    </div>
                    <div th:if="${media.type == 'idt'}">
                        <span th:text="#{name} + ':'">Nombre:</span>&nbsp;<span th:text="${member}"></span><br/>
                        <strong><span th:text="#{taxIdentification} + ':'">Identificacion Tributaria: </span>&nbsp;<span th:text="${member.idtType}"></span> <span th:text="${member.idt}"></span></strong>
                    </div>
                    <div th:if="${media.type == 'address'}">
                        <span th:text="#{name} + ':'">Nombre:</span>&nbsp;<span th:text="${member}"></span><br/>
                        <strong><span th:text="#{homeAddress} + ':'">Domicilio: </span>&nbsp;<span th:text="${member.street}"></span> <span th:text="${member.city}"></span></strong>
                    </div>
                    <hr/>
                    <div class="row text-center">
                        <div class="col-md-12">
                            <input type="text" class="form-control" placeholder="" th:attr="placeholder=#{reasonRejectingDocumentation}" id="motive" th:attr="data-id=${media.id},data-type=${media.type}"/>
                        </div>
                    </div>
                    <div class="row text-center">
                        <div class="col-md-6">
                            <button class="btn btn-danger action-button" id="reject" th:attr="data-id=${media.id},data-type=${media.type}" th:text="#{btnRefuse}">Rechazar</button>
                        </div>
                        <div class="col-md-6">
                            <button class="btn btn-success action-button" id="verify" th:attr="data-id=${media.id},data-type=${media.type}" th:text="#{btnCheck}">Verificar</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>

